package cn.wisenergy.chnmuseum.party.common.enums;

/**
 * 版权方类型枚举
 */
public enum CopyrightOwnerTypeEnum {

    ASSET(1, "视频"),
    EXHIBITION_BOARD(2, "展板");

    // 错误编码
    private Integer code;
    // 信息
    private String type;

    CopyrightOwnerTypeEnum(Integer code, String type) {
        this.code = code;
        this.type = type;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

}
