package cn.wisenergy.chnmuseum.party.service;

import cn.wisenergy.chnmuseum.party.model.TUser;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 用户 服务接口
 * </p>
 *
 * @author Danny Lee
 * @since 2021-03-22
 */
public interface TUserService extends IService<TUser> {

    TUser selectByUsername(String userName);

    Page<TUser> selectList(Page<TUser> page, String userName);
}
